﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 이벤트를 설정한다.

            Load += Form_Load;

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            List<string> filePathList = new List<string>();

            foreach(string filePath in Directory.GetFiles(Application.StartupPath))
            {
                filePathList.Add(filePath);
            }

            Clipboard.Clear();

            Clipboard.SetData(DataFormats.FileDrop, filePathList.ToArray());

            string[] filePathArray = (string[])Clipboard.GetData(DataFormats.FileDrop);

            this.listBox.DataSource = filePathArray;
        }

        #endregion
    }
}